> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.givechariot.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.givechariot.com/_mcp/server.

# Create a verification request

POST https://api.givechariot.com/v1/verification_requests
Content-Type: application/json

Request verification of an unlisted organization. If the organization cannot be found through Chariot's search,
you can submit a verification request so that Chariot's compliance team can review and verify the organization.


Reference: https://docs.givechariot.com/api/verification-requests/create

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.givechariot.com` (Production, default)
- `https://sandboxapi.givechariot.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects an object.

- `ein` (string, required) — The EIN of the organization to verify
- `organization_name` (string, required) — The name of the organization as known to the grantmaker
- `recommended_mailing_address` (VerificationRequestAddress, required) — A mailing address for the organization being verified.
- `website` (string, optional) — The organization's website URL
- `contact_email` (string, optional) — Contact email for the nonprofit organization.

## Response

### 201

The verification request was created

- `id` (string, required) — Unique identifier for the verification request
- `ein` (string, required) — The EIN of the organization being verified
- `organization_name` (string, required) — The name of the organization as provided by the grantmaker
- `organization_id` (string, required) — The ID of the Organization record for the nonprofit being verified.
- `status` (enum, required) — The status of the verification request. Possible values include: - `needs_review`: The request has been submitted and is awaiting review by Chariot's compliance team - `verified`: The organization has been verified as tax-exempt and eligible for disbursements - `failed`: Chariot's compliance team determined the organization is not eligible
  - Allowed values: `needs_review`, `verified`, `failed`
- `website` (string, optional) — The organization's website URL
- `recommended_mailing_address` (VerificationRequestAddress, optional) — A mailing address for the organization being verified.
- `verified_at` (datetime, optional) — When the organization was verified as tax-exempt and eligible for disbursements
- `failed_at` (datetime, optional) — When the verification request was rejected
- `created_at` (datetime, optional) — When the verification request was created
- `updated_at` (datetime, optional) — When the verification request was last updated

## Errors

### 400 Bad Request Error

The request is invalid or contains invalid parameters

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 401 Unauthorized Error

Unauthorized. The request is missing the security (OAuth2 Bearer token) requirements and the server is unable to verify the identify of the caller.

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 403 Forbidden Error

Access denied

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 409 Conflict Error

Resource Conflicts

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

### 412 Precondition Failed Error

Precondition Failed

- `type` (string, required) — A URI reference identifying the problem type.
- `title` (string, required) — A short, human-readable summary of the problem type.
- `status` (integer, required) — The HTTP status code for this error.
- `detail` (string, required) — A human-readable explanation specific to this occurrence.

## Types

### VerificationRequestAddress

A mailing address for the organization being verified.

- `line1` (string, required) — Street address line 1
- `city` (string, required) — City
- `state` (string, required) — Two-letter US state code (e.g. "CA", "NY")
- `zip_code` (string, required) — ZIP or postal code
- `line2` (string, optional) — Street address line 2 (suite, unit, etc.)

## Examples

**Request**

```json
{
  "ein": "123456789",
  "organization_name": "Local Community Foundation",
  "recommended_mailing_address": {
    "line1": "123 Main St",
    "city": "San Francisco",
    "state": "CA",
    "zip_code": "94105"
  }
}
```

**Response**

```json
{
  "id": "vr_01jpjen1s23s29kkmnjsb6fzga",
  "ein": "123456789",
  "organization_name": "Local Community Foundation",
  "organization_id": "org_01j8rs605a4gctmbm58d87mvsj",
  "status": "needs_review",
  "website": "https://localfoundation.org",
  "recommended_mailing_address": {
    "line1": "123 Main St",
    "city": "San Francisco",
    "state": "CA",
    "zip_code": "94105",
    "line2": "Suite 100"
  },
  "verified_at": "2024-01-15T09:30:00Z",
  "failed_at": "2024-01-15T09:30:00Z",
  "created_at": "2020-01-31T23:00:00Z",
  "updated_at": "2020-01-31T23:00:00Z"
}
```